<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE mapper
  PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
  "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="org.mzm.sc.productclient.dao.AdminRoleMapper">
  <insert id="insertNewProduct">
    insert into product_info
    (product_name,
			product_core,
			bar_code,
			brand_id,
			one_category_id,
			two_category_id,
			three_category_id,
			supplier_id,
			price,
			average_cost,
			publish_status,
			audit_status,
			weight,
			`length`,
			height,
			width,
			color_type,
			production_date,
			shelf_life,
			descript)
		values (#{productName},#{productCore},
		#{barCode},#{brandId},#{oneCategoryId},#{twoCategoryId},#{threeCategoryId},
		#{supplierId},#{price},#{averageCost},#{publishStatus},#{auditStatus},#{weight},
		#{length},#{height},#{width},#{colorType},#{productionDate},#{shelfLife},#{descript})
  </insert>
</mapper>
